curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/customer' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"subscribe_newsletter": true
}'
{
"data": {
"billing_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "CreditCard",
"shipping_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"shipping_method": "Standard",
"step": "string",
"subtotal": "49.00",
"total": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Set customer info
Checkout session updated
PUT
/
api
/
v1
/
checkout
/
{session_id}
/
customer
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/customer' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"subscribe_newsletter": true
}'
{
"data": {
"billing_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "CreditCard",
"shipping_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"shipping_method": "Standard",
"step": "string",
"subtotal": "49.00",
"total": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Path parameters
string (uuid)
required
Checkout session id
Request body
CustomerInfoRequest
string
required
boolean
required
Response
ApiResponse_CheckoutSessionResponse
object
Show data
Show data
Address,null
string (uuid)
required
string
required
string,null
string (uuid)
required
PaymentMethod,null
Address,null
ShippingMethod,null
string
required
string
required
string
required
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Checkout session updated |
400 | Invalid request |
401 | Unauthorized |
404 | Not found |
curl --request PUT \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/checkout/{session_id}/customer' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"email": "ada.lovelace@example.com",
"subscribe_newsletter": true
}'
{
"data": {
"billing_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "CreditCard",
"shipping_address": {
"address_line_1": "548 Market St",
"address_line_2": "Suite 400",
"city": "San Francisco",
"company": "Acme Outdoors",
"country_code": "US",
"first_name": "Ada",
"last_name": "Lovelace",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"province": "CA"
},
"shipping_method": "Standard",
"step": "string",
"subtotal": "49.00",
"total": "49.00"
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026